Streaming live at 10am (PST)

The Webflow Designer will no longer work in Safari 7 and 8 starting on March 1st


#1

Starting on March 1st, the Webflow Designer will no longer support editing sites in older Safari 7.x and 8.x browsers. Going forward, the Webflow Designer will only be available in non-read-only mode in Safari 9.0+ and Google Chrome v44+.

Safari 9.0 was released on September 30, 2015 and is available for any OSX 10.9+ users to install (including OS X v10.9 "Mavericks", OS X v10.10 "Yosemite", and OS X v10.11 "El Capitan").

According to our internal analytics, only 0.01% of all of our Safari users are using the old Safari 7 or 8 versions inside the Designer on an OS X version that does not allow upgrading to Safari 9.0 (pre-Mavericks), so we're hoping that this does not affect you.

If it does, and you are not able to upgrade to Safari 9.0 for some reason, please let us know about your situation so we can investigate.

Thank you!


Webflow Designer will no longer work in Safari 9.0, 9.1, and 10.0 after June 2nd, 2017
#2

Will this apply only to the designer – will clients still be able to use older versions to access the Editor?


#3

Yes @jdesign, I should have clarified. This only applies to the Designer, and does not affect the Editor, which will still be available in older versions if your clients happen to be using those.


#4

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.
Please create a new linked topic if you have further questions.